# Makefile for odvipsk
version = 5.76a

# Add -DDEFRES=dpi to DEFS to change the default resolution from 600.
# Add -DSECURE if you will install dvips with special privileges.
# Add -DNO_DEBUG to omit debugging support.
# Add -DNO_EMTEX to omit EMTEX specials.
# Add -DNO_HPS to omit hypertex support.
# Add -DNO_TPIC to omit tpic support.
# 
# For VM/CMS or (perhaps) VMS or DOS compilation, need the corresponding
# subdirectory from the original dvips distribution.  (Maybe dvipsk
# won't work at all on such systems; if you have info one way or the
# other, please let kb@cs.umb.edu know.)

ac_include ../make/paths.make
ac_include ../make/common.make
ac_include ../make/programs.make
ac_include ../make/texi.make
prog_cflags = -DUNIX -DKPATHSEA -DNeedFunctionPrototypes -DOmega

# The `t[mp]-' business is so that we don't create an empty .pro file,
# if running squeeze fails for some reason.  A dependency on squeeze
# fails here, so we include it below.

objects = dospecial.o dviinput.o emspecial.o fontdef.o loadfont.o       \
dvips.o tfmload.o download.o prescan.o scanpage.o skippage.o output.o   \
scalewidth.o dosection.o dopage.o resident.o search.o unpack.o drawPS.o \
header.o repack.o virtualfont.o dpicheck.o finclude.o t1part.o		\
pprescan.o papersiz.o color.o bbox.o hps.o

program = odvips
programs = $(program)


default all: $(programs) 

$(program): $(kpathsea) $(objects)
	$(kpathsea_link) $(objects) $(LOADLIBES)

ac_include ../make/tkpathsea.make

check: 

install: install-exec 

uninstall: uninstall-exec 

install-exec: all
	$(SHELL) $(top_srcdir)/../mkinstalldirs $(bindir) $(scriptdir) $(fontdir)
	for p in $(programs); do $(INSTALL_LIBTOOL_PROG) $(bindir) $$p; done
uninstall-exec:
	for p in $(programs); do rm -f $(bindir)/$$p; done

install-data:

uninstall-data:

distname = odvipsk
version_files = dvips.h dvips.c

pre-dist-$(distname): 
post-dist-$(distname):

ac_include ../make/dist.make
ac_include ../make/config.make

info: 
dvi: 

ac_include ../make/clean.make

distclean::

ac_include ../make/rdepend.make
ac_include depend.make
